| Box2D 2.3.0 A 2D Physics Engine for Games

Public Member Functions | Public Attributes | List of all members
b2FixtureDef Struct Reference

`#include <b2Fixture.h>`

## Public Member Functions
| b2FixtureDef ()
| The constructor sets the default fixture definition values.

## Public Attributes
const b2Shape * | shape
void * | userData
| Use this to store application specific fixture data.
float32 | friction
| The friction coefficient, usually in the range [0,1].
float32 | restitution
| The restitution (elasticity) usually in the range [0,1].
float32 | density
| The density, usually in kg/m^2.
bool | isSensor
b2Filter | filter
| Contact filtering data.

## Detailed Description

A fixture definition is used to create a fixture. This class defines an abstract fixture definition. You can reuse fixture definitions safely.

## Member Data Documentation

## ◆ isSensor

bool b2FixtureDef::isSensor

A sensor shape collects contact information but never generates a collision response.

## ◆ shape

const b2Shape* b2FixtureDef::shape

The shape, this must be set. The shape will be cloned, so you can create the shape on the stack.

The documentation for this struct was generated from the following file:

- b2Fixture.h